Package net.md_5.bungee.query

# Class QueryHandler

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.channel.SimpleChannelInboundHandler<io.netty.channel.socket.DatagramPacket>
net.md_5.bungee.query.QueryHandler

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

public class QueryHandler extends io.netty.channel.SimpleChannelInboundHandler<io.netty.channel.socket.DatagramPacket>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

  `io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryHandler(ProxyServer bungee, ListenerInfo listener)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `channelRead0(io.netty.channel.ChannelHandlerContext ctx, io.netty.channel.socket.DatagramPacket msg)`
  `void`
  `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

  ### Methods inherited from class io.netty.channel.SimpleChannelInboundHandler

  `acceptInboundMessage, channelRead`

  ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

  `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

  ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.netty.channel.ChannelHandler

  `handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### QueryHandler

    public QueryHandler(ProxyServer bungee, ListenerInfo listener)

- ## Method Details

  - ### channelRead0

    protected void channelRead0(io.netty.channel.ChannelHandlerContext ctx, io.netty.channel.socket.DatagramPacket msg) throws Exception
    Specified by:
      `channelRead0` in class `io.netty.channel.SimpleChannelInboundHandler<io.netty.channel.socket.DatagramPacket>`
    Throws:
      `Exception`

  - ### exceptionCaught

    public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause) throws Exception
    Specified by:
      `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
    Specified by:
      `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
    Overrides:
      `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`
    Throws:
      `Exception`